/* Menu */

.menu--desktop {
  display: block;
}

.menu--mobile {
  display: none;
}

@media (max-width: 767px) {
  #hs_cos_wrapper_navigation-primary .menu__link{
    color: #000000!important;
}
  
  .menu--desktop {
    display: none;
  }

  .menu--mobile {
    display: block;
  }
}

/* Menu items */

.menu__item {
  position: relative;
}

.menu__link {
  font-size: 0.917rem;
  line-height: 1.667rem;
  text-decoration: none;
}

.menu__link:hover,
.menu__link:focus,
.menu__link:active {
  text-decoration: none;
}

.menu__link--active-link,
.menu__link--active-branch {
  font-weight: bold!important;
}

@media (min-width: 768px) and (max-width: 1150px) {
  .menu__link {
    font-size: 0.833rem;
  }
}

@media (max-width: 767px) {
  .menu__item {
    display: block;
    width: 100%;
  }

  .menu__link {
    display: block;
    font-size: 1.083rem;
  }
}

/* Menu items - top level */

.menu__item--depth-1 {
  display: inline-block;
  padding: 0.7rem 0.875rem;
  text-transform: uppercase;
}

.menu__item--depth-1 > .menu__link--active-link:after {
  bottom: -3px;
  content: '';
  height: 2px;
  left: 0;
  position: absolute;
  width: 100%;
}

@media (max-width: 767px) {
  .menu__item--depth-1 {
    border-top: 2px solid #CED4DB;
    padding: 0;
  }

  .menu__item--depth-1 > .menu__link {
    padding: 0.35rem 1.225rem;
  }

  .menu__item--depth-1 > .menu__link--active-link:after {
    content: none;
  }
}

/* Menu items - submenus */

.menu__submenu {
  box-shadow: 0 2px 9px 0 rgba(0, 0, 0, 0.2);
  border-radius: 3px;
  display: none;
  left: 0;
  position: absolute;
  text-align: left;
  text-transform: none;
  top: 100%;
  width: 270px;
  z-index: 99;
}

.menu__item--open > .menu__submenu {
  display: block;
}

.menu__submenu--level-2 {
  transform: translateX(-50%);
}

/* Keeps the first menu item's drop down menu aligned to the left of the top level menu item */

.menu__item--depth-1:first-child .menu__submenu--level-2 {
  transform: unset;
}

.menu__submenu .menu__item {
  border-bottom: 1px solid #D1D6DC;
  padding: 0;
  width: 100%;
}

.menu__submenu .menu__link {
  display: block;
  padding: 0.7rem 1.05rem;
  transition: background-color 0.3s;
  width: 100%;
}

.menu__submenu--level-3 {
  left: 100%;
  top: 0;
}

/* Flyouts for the last two top level menu items go left to keep page responsive */

.menu__item--depth-1:nth-last-child(-n+2) .menu__submenu--level-3 {
  left: auto;
  right: 100%;
  top: 0;
}

/* Accounts for child toggle */

.menu__submenu .menu__item--has-submenu > .menu__link {
  padding-right: 3rem;
}

/* Creates the triangle at the top of the submenu drop down */

@media (min-width: 768px) {
  .menu__submenu--level-2 > .menu__item:first-child:before {
    border-radius: 6px;
    box-shadow: 0 2px 9px 0 rgb(0 0 0 / 20%);
    content: '';
    display: block;
    height: 30px;
    left: 125px;
    margin-left: 1rem;
    overflow: hidden;
    position: absolute;
    top: -12px;
    transform: rotate(45deg);
    transition: background-color .3s;
    width: 30px;
    z-index: 2;
  }

  /* Keeps triangle to the left for the first menu item's drop down menu */

  .menu__item--depth-1:first-child > .menu__submenu--level-2 > .menu__item:first-child:before {
    left: 0;
  }

  .menu__submenu--level-2 > .menu__item:first-child > .menu__link {
    position: relative;
    z-index: 2;
  }
}

@media (max-width: 767px) {
  .menu__submenu {
    border: none;
    border-radius: 0;
    box-shadow: none;
    position: static;
    transform: unset;
    width: 100%;
  }

  .menu__submenu .menu__item {
    background-color: #FFF;
    border-bottom: none;
    border-top: 2px solid #EBEFF3;
    padding: 0;
    min-height:53px;
  }
  
  a.menu__link.menu__link--toggle{
    min-height:53px;
  }

  .menu__submenu .menu__link {
    display: block;
    padding: 0.7rem 2rem;
    transition: none;
    width: 100%;
  }

  .menu__submenu .menu__item .menu__link:hover,
  .menu__submenu .menu__item .menu__link:focus {
    background-color: inherit;
    transition: none;
  }

  .menu__item--has-submenu > .menu__link {
    width: 70%;
  }

  .menu__submenu--level-3 .menu__item .menu__link {
    padding: 0.7rem 3rem;
  }
}

/* Menu icons */

@media(min-width: 768px) {
  
  #hs_cos_wrapper_navigation-primary > div.desktopmenu > nav.menu.menu--desktop > ul > li:nth-child(2){
   display:none; 
  }
  
  #hs_cos_wrapper_navigation-primary > div.desktopmenu > nav.menu.menu--desktop > ul > li:nth-child(5){
   visibility:hidden; 
  }
  
  .menu__submenu .menu__child-toggle {
    margin-left: auto;
    padding: 0 1.05rem;
  }

  .menu__child-toggle {
    position: absolute;
    right: 5px;
    top: 30px;
    z-index: 2;
  }

  .menu__item--depth-1 > .menu__child-toggle {
    position: static;
    right: 0;
    top: 0;
    vertical-align: middle;
  }

  .menu__child-toggle-icon {
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top-style: solid;
    border-top-width: 7px;
    display: block;
    height: 0;
    margin-left: 1px;
    width: 0;
  }
}

@media (max-width: 767px) {
  .menu__child-toggle {
    background-position: center right 30px;
    background-repeat: no-repeat;
    background-size: 20px;
    border: none;
    cursor: pointer;
    height: 55px;
    padding: 15px 0;
    position: absolute;
    right: 0;
    top: 0;
    width: 30%;
  }

  .menu__child-toggle-icon {
    background-image: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTkiIGhlaWdodD0iMTkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+PGcgc3Ryb2tlPSIjOTc5ODlGIiBzdHJva2Utd2lkdGg9IjIuNCIgZmlsbD0ibm9uZSIgZmlsbC1ydWxlPSJldmVub2RkIj48cmVjdCB4PSIxLjIiIHk9IjkuNiIgd2lkdGg9IjE2LjgiIGhlaWdodD0iMSIgcng9Ii41Ii8+PHJlY3QgdHJhbnNmb3JtPSJyb3RhdGUoOTAgOS42IDkuNikiIHg9IjEuMiIgeT0iOS42IiB3aWR0aD0iMTYuOCIgaGVpZ2h0PSIxIiByeD0iLjUiLz48L2c+PC9zdmc+);
    background-repeat: no-repeat;
    display: block;
    height: 20px;
    margin-left: auto;
    margin-right: 1.05rem;
    transition: transform 0.4s;
    width: 20px;
  }

  .menu__item--open > .menu__child-toggle .menu__child-toggle-icon {
    transform: rotate(45deg);
    transition: transform 0.4s;
  }
 
  /* added display none to industries & platform for mobile - 5-11-25  */
  nav.menu.menu--mobile > ul > li:nth-child(5) {
        display: none;
    }
nav.menu.menu--mobile > ul > li:nth-child(2) {
        display: none;
    }
  
}



@media all and (min-width:768px){

/* ---------- Mega Menu Core Layout ---------- */

.menu__wrapper {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 2rem;
  list-style: none;
  margin: 0;
  padding: 0;
}

.menu__item {
  position: relative;
}

.menu__item--has-submenu:hover > .mega-menu {
  display: flex!important;
}

 .mega-menu {
 background: #fff;
        -webkit-box-shadow: 0px 0px 15px 5px rgba(0,0,0,0.25); 
box-shadow: 0px 0px 15px 5px rgba(0,0,0,0.25);
  
        display: none;
        flex-wrap: nowrap;
        gap: 2rem;
        left: 5%;
        width: 90vw;
        position: fixed!important;
        top: 16%;
        z-index: 1000;
text-transform:none;
} 

/* added on 20-4-2026 */
  
.mega-menu ul {
  padding-left: 0 !important;
  margin-left: 0 !important;
  list-style: none;
}

.mega-menu li {
  margin-left: 0 !important;
  padding-left: 0 !important;
}
/* added on 20-4-2026 ends */
  
/*   .mega-menu {
        background: #fff;
        -webkit-box-shadow: 0 0 15px 5px rgba(0, 0, 0, .25);
        box-shadow: 0 0 15px 5px rgba(0, 0, 0, .25);
        display: none;
        flex-wrap: nowrap;
        gap: 2rem;
        left: 33%;
        position: fixed !important;
        text-transform: none;
        top: 16%;
        width: 90vw;
        z-index: 1000;
        max-width: min(80vw, 1000px);
        position: absolute;
        top: 39%;
        left: 65%;
        transform: translate(-50%, -50%);
    } */
  
  #hs_cos_wrapper_navigation-primary > div.desktopmenu > nav.menu.menu--desktop > ul > li:nth-child(1) > div{
/*     border: 3px solid green; */
    left: 100%;
    max-width: min(80vw, 1340px);
    position: absolute !important;
    top: 100%;
    transform: translate(-50%); 
  }
  
  
  #hs_cos_wrapper_navigation-primary > div.desktopmenu > nav.menu.menu--desktop > ul > li:nth-child(4) > div{
     left: 100%;
        max-width: min(80vw, 1200px);
        position: absolute!important;
        top: 100%;
        transform: translate(-85%);
/*         border: 3px solid blue; */
  }
  
  #hs_cos_wrapper_navigation-primary > div.desktopmenu > nav.menu.menu--desktop > ul > li:nth-child(3) > div{
    left: 100%;
        max-width: min(80vw, 1200px);
        position: absolute!important;
        top: 100%;
        transform: translate(-75%);
/*         border: 3px solid red; */
  }
  
  @media all and (max-width:1300px) and (min-width:1066px){
      #hs_cos_wrapper_navigation-primary > div.desktopmenu > nav.menu.menu--desktop > ul > li:nth-child(4) > div {
        background: #fff;
            -webkit-box-shadow: 0 0 15px 5px rgba(0, 0, 0, .25);
            box-shadow: 0 0 15px 5px rgba(0, 0, 0, .25);
            display: none;
            flex-wrap: nowrap;
            gap: 2rem;
            left: 51%;
            max-width: min(95vw, 1000px);
            position: fixed !important;
            position: absolute;
            text-transform: none;
            transform: translate(-50%, -70%);
            width: 95vw;
            z-index: 1000;
            top: 49%;
    }
    #hs_cos_wrapper_navigation-primary > div.desktopmenu > nav.menu.menu--desktop > ul > li:nth-child(3) > div{
       background: #fff;
            -webkit-box-shadow: 0 0 15px 5px rgba(0, 0, 0, .25);
            box-shadow: 0 0 15px 5px rgba(0, 0, 0, .25);
            display: none;
            flex-wrap: nowrap;
            gap: 2rem;
            left: 51%;
            max-width: min(95vw, 1000px);
            position: fixed !important;
            position: absolute;
            text-transform: none;
            transform: translate(-50%, -70%);
            width: 95vw;
            z-index: 1000;
            top: 49.5%;
    }
     #hs_cos_wrapper_navigation-primary > div.desktopmenu > nav.menu.menu--desktop > ul > li:nth-child(1) > div{
      background: #fff;
            -webkit-box-shadow: 0 0 15px 5px rgba(0, 0, 0, .25);
            box-shadow: 0 0 15px 5px rgba(0, 0, 0, .25);
            display: none;
            flex-wrap: nowrap;
            gap: 2rem;
            left: 51%;
            max-width: min(95vw, 1000px);
            position: fixed !important;
            position: absolute;
            text-transform: none;
            transform: translate(-50%, -70%);
            width: 95vw;
            z-index: 1000;
            top: 56%;
    }
  }
  
  @media all and (max-width:1065px) and (min-width:981px){
    #hs_cos_wrapper_navigation-primary > div.desktopmenu > nav.menu.menu--desktop > ul > li:nth-child(4) > div {
   background: #fff;
            -webkit-box-shadow: 0 0 15px 5px rgba(0, 0, 0, .25);
            box-shadow: 0 0 15px 5px rgba(0, 0, 0, .25);
            display: none;
            flex-wrap: nowrap;
            gap: 2rem;
            left: 5%;
            max-width: min(100vw, 920px);
            position: fixed !important;
            position: absolute;
            text-transform: none;
            top: 16%;
            top: unset;
            transform: unset;
            width: 100vw;
            z-index: 1000;
    } 
    #hs_cos_wrapper_navigation-primary > div.desktopmenu > nav.menu.menu--desktop > ul > li:nth-child(3) > div{
      background: #fff;
            -webkit-box-shadow: 0 0 15px 5px rgba(0, 0, 0, .25);
            box-shadow: 0 0 15px 5px rgba(0, 0, 0, .25);
            display: none;
            flex-wrap: nowrap;
            gap: 2rem;
            left: 5%;
            max-width: min(100vw, 920px);
            position: fixed !important;
            position: absolute;
            text-transform: none;
            top: 16%;
            top: unset;
            transform: unset;
            width: 100vw;
            z-index: 1000;
      
    }
     #hs_cos_wrapper_navigation-primary > div.desktopmenu > nav.menu.menu--desktop > ul > li:nth-child(1) > div{
       background: #fff;
            -webkit-box-shadow: 0 0 15px 5px rgba(0, 0, 0, .25);
            box-shadow: 0 0 15px 5px rgba(0, 0, 0, .25);
            display: none;
            flex-wrap: nowrap;
            gap: 2rem;
            left: 33%;
            left: 50%;
            max-width: min(90vw, 1000px);
            position: fixed !important;
            position: absolute;
            text-transform: none;
            top: 17%;
            width: 90vw;
            z-index: 1000;
    }
  }
  
  @media all and (max-width:980px) and (min-width:768px){
    
    #hs_cos_wrapper_navigation-primary>div.desktopmenu>nav.menu.menu--desktop>ul>li:nth-child(4)>div>div:nth-child(2){
     padding-top:50px; 
    }
    
    #hs_cos_wrapper_navigation-primary > div.desktopmenu > nav.menu.menu--desktop > ul > li:nth-child(4) > div {
            background: #fff;
            -webkit-box-shadow: 0 0 15px 5px rgba(0, 0, 0, .25);
            box-shadow: 0 0 15px 5px rgba(0, 0, 0, .25);
            display: none;
            flex-wrap: nowrap;
            gap: 2rem;
            left: 3%;
            max-width: min(94vw, 920px);
            position: fixed !important;
            position: absolute;
            text-transform: none;
            top: 16%;
            top: unset;
            transform: unset;
            width: 100vw;
            z-index: 1000;
        } 
    #hs_cos_wrapper_navigation-primary > div.desktopmenu > nav.menu.menu--desktop > ul > li:nth-child(3) > div{
       background: #fff;
        -webkit-box-shadow: 0 0 15px 5px rgba(0, 0, 0, .25);
        box-shadow: 0 0 15px 5px rgba(0, 0, 0, .25);
        display: none;
        flex-wrap: nowrap;
        gap: 2rem;
        left: 33%;
        position: fixed !important;
        text-transform: none;
        top: 16%;
        width: 90vw;
        z-index: 1000;
        max-width: min(80vw, 1000px);
        position: absolute;
        top: 42%;
        left: 55%;
        transform: translate(-50%, -50%);
      left: 3%;
            max-width: min(94vw, 920px);
            top: 16%;
            top: unset;
            transform: unset;
            width: 100vw;
    }
     #hs_cos_wrapper_navigation-primary > div.desktopmenu > nav.menu.menu--desktop > ul > li:nth-child(1) > div{
       background: #fff;
        -webkit-box-shadow: 0 0 15px 5px rgba(0, 0, 0, .25);
        box-shadow: 0 0 15px 5px rgba(0, 0, 0, .25);
        display: none;
        flex-wrap: nowrap;
        gap: 2rem;
        left: 33%;
        position: fixed !important;
        text-transform: none;
        top: 16%;
        width: 90vw;
        z-index: 1000;
        max-width: min(80vw, 1000px);
        position: absolute;
        top: 42%;
        left: 55%;
        transform: translate(-50%, -50%);
      left: 3%;
            max-width: min(94vw, 920px);
            top: 16%;
            top: unset;
            transform: unset;
            width: 100vw;
    }
  }
  
  @media all and (max-width:767px){
   a.menu__link.menu__link--toggle{
     min-height:60px!important;
    }
  }

/* ---------- Mega Menu Columns and Lists ---------- */

.mega-column {
  flex: 1;
  min-width: 200px;
}

.mega-title {
  font-weight: bold;
  margin-bottom: 0.5rem;
}

.mega-sublist,
.mega-subsublist {
  list-style: none;
  padding-left: 0;
  margin: 0;
  padding-left: 0 !important;
  margin-left: 0 !important;
}

.mega-subsublist{
 font-size:14px; 
}
  
.mega-subsublist li {
  margin-left: 0 !important;
  padding-left: 0 !important;
}

.mega-subitem {
  margin-bottom: 1rem;
}

.mega-subtitle {
  font-weight: normal;
  margin-bottom: 0.25rem;
  font-size:19px;
  position:relative;
  
  /* 20-4-2026 ↓ */
  display: flex;
  align-items: center;
  gap: 10px;
  width: 100%;
  padding: 8px 16px;
  box-sizing: border-box;
}
  
 {# 
  a.mega-subtitle img{
   position: absolute;
    top: 0%;
    left: -62px;
    transform: translate(0%, -0%); 
  }
20 4 2026#}
  a.mega-subtitle img {
  position: static !important;
  top: auto !important;
  left: auto !important;
  transform: none !important;
}
  
.mega-subtitle img {
  object-fit: contain;
  flex-shrink: 0;
}  
  
.mega-subtitle a{
 color:#000000;
  text-decoration:none;
}


.mega-subsublist a{
 color:#999999;
  text-decoration: none;
}

a.mega-title{
  text-decoration: none;
  font-weight:400!important;
  color:#000000;
  font-size:22px;
}

a.mega-subtitle{
  text-decoration: none;
  font-weight:400!important;
  color:#666666;
}

.mega-subitem{
/* margin:10px 0px!important; 
margin-left:45px!important;
padding-left:10px!important; 20-4-2026*/ 
margin: 0;                 
min-height: 65px;
border-left: 3px solid transparent;
}
 /* .mega-subitem:hover{
    border-left: 3px solid #FF9900 !important;
      background: linear-gradient(to right, rgba(255, 153, 0, 0.6) 0%, rgba(255, 153, 0, 0) 100%);
  } 20-4-2026 */
  
   .mega-subitem:hover > .mega-subtitle{
    border-left: 3px solid #FF9900 !important;
      background: linear-gradient(to right, rgba(255, 153, 0, 0.6) 0%, rgba(255, 153, 0, 0) 100%);
  }
  
}

a.mega-subtitle, a.mega-title{
 font-weight:600!important;
}

.mega-sublist{
 margin-top:30px!important; 
}

.mobilemenu{
 display:none; 
}

.desktopmenu{
 display:block; 
}

@media all and (max-width:767px){
 .mobilemenu{
   display:block;
  }
  .desktopmenu{
    display:none;
  }
  .menu__item--open > .menu__submenu {
    display: contents!important;
}
  header.header .menu__item--depth-1{
   margin-left:unset!important; 
  }
}

.mega-column{
 padding:45px;
}

@media all and (min-width:1300px){
 div.desktopmenu>nav.menu.menu--desktop>ul>li.menu__item.menu__item--depth-1.menu__item--has-submenu.hs-skip-lang-url-rewrite>div>div:nth-child(3){
   min-width:477px;
  }
}

div.desktopmenu > nav.menu.menu--desktop > ul > li.menu__item.menu__item--depth-1.menu__item--has-submenu.hs-skip-lang-url-rewrite > div > div:nth-child(3),
#hs_cos_wrapper_navigation-primary > div.desktopmenu > nav.menu.menu--desktop > ul > li:nth-child(4) > div > div:nth-child(2){
 background:#F5F5F5;
}

div.desktopmenu>nav.menu.menu--desktop>ul>li.menu__item.menu__item--depth-1.menu__item--has-submenu.hs-skip-lang-url-rewrite>div>div:nth-child(3) .mega-subitem,
#hs_cos_wrapper_navigation-primary > div.desktopmenu > nav.menu.menu--desktop > ul > li:nth-child(4) > div > div:nth-child(2) .mega-subitem{
 min-height:unset!important;
  margin:10px 0px!important;
  padding: 0 !important;
    background: transparent;
    border: none !important;
}

div.desktopmenu>nav.menu.menu--desktop>ul>li.menu__item.menu__item--depth-1.menu__item--has-submenu.hs-skip-lang-url-rewrite>div>div:nth-child(3) .mega-subitem a img,
#hs_cos_wrapper_navigation-primary > div.desktopmenu > nav.menu.menu--desktop > ul > li:nth-child(4) > div > div:nth-child(2) .mega-subitem a img{
  filter: none;
  transition: filter 0.3s ease;
}

div.desktopmenu>nav.menu.menu--desktop>ul>li.menu__item.menu__item--depth-1.menu__item--has-submenu.hs-skip-lang-url-rewrite>div>div:nth-child(3) .mega-subitem a img:hover,
#hs_cos_wrapper_navigation-primary > div.desktopmenu > nav.menu.menu--desktop > ul > li:nth-child(4) > div > div:nth-child(2) .mega-subitem a img:hover{
      filter: invert(64%) sepia(94%) saturate(662%) hue-rotate(-6deg) brightness(104%) contrast(103%)!important;
}


div.desktopmenu>nav.menu.menu--desktop>ul>li.menu__item.menu__item--depth-1.menu__item--has-submenu.hs-skip-lang-url-rewrite>div>div:nth-child(3) a.mega-title,
div.desktopmenu>nav.menu.menu--desktop>ul>li.menu__item.menu__item--depth-1.menu__item--has-submenu.hs-skip-lang-url-rewrite>div>div:nth-child(3) a.mega-subtitle,
#hs_cos_wrapper_navigation-primary > div.desktopmenu > nav.menu.menu--desktop > ul > li:nth-child(4) > div > div:nth-child(2) a.mega-title,
#hs_cos_wrapper_navigation-primary > div.desktopmenu > nav.menu.menu--desktop > ul > li:nth-child(4) > div > div:nth-child(2) a.mega-subtitle{
 color:#666666; 
  font-weight:400!important;
}

div.desktopmenu > nav.menu.menu--desktop > ul > li:nth-child(1) > div > div:nth-child(3) > ul > li:nth-child(1) > div,
#hs_cos_wrapper_navigation-primary > div.desktopmenu > nav.menu.menu--desktop > ul > li:nth-child(4) > div > div:nth-child(2) > ul > li:nth-child(1) > div{
 margin-bottom:50px; 
}


@media all and (max-width:980px) and (min-width:767px){
 .mega-menu{
   gap:0;
   flex-flow:column;
  }
  .mega-column:nth-child(2){
   padding:0px 45px 45px 45px; 
  }
  .mega-menu {
    background: #fff;
    -webkit-box-shadow: 0px 0px 15px 5px rgba(0,0,0,0.25); 
box-shadow: 0px 0px 15px 5px rgba(0,0,0,0.25);
    box-shadow: 0 4px 12px rgba(0, 0, 0, .1);
    display: none;
    flex-wrap: nowrap;
    gap: 2rem;
    left: 5%;
    position: fixed !important;
    top: 17%;
    width: 90vw;
    z-index: 1000;

    /* New scroll-related styles */
    max-height: 80vh; /* Prevent it from going off screen */
    overflow-y: auto; /* Enable vertical scrolling */
}

}

header.header .menu__item--depth-1{
 position:relative; 
}

header.header .menu__item--depth-1:after{
/*  border: 3px solid red; */
    content: "";
    height: 100%;
    left: 50%;
    position: absolute;
    top: 50%;
    -webkit-transform: translate(-50%, 20%);
    -ms-transform: translate(-50%, 20%);
    transform: translate(-50%, 20%);
    width: 150px;
      height: 60px;
}

.mobileonlydisplay{
   display:none; 
  }

@media all and (max-width:767px){
  
  .mobileonlydisplay{
   display:block; 
  }
  
.header a.menu__link > img{
   display:none!important;
  }
}

.mega-subsublist li{
 margin-top:8px!important; 
}